Overview

This endpoint returns the list of tournaments available in the KoraStats system. Each tournament contains metadata such as the organizer, age group, division, and gender. GET /api.php?module=api&api=TournamentList&version=V2&key=[API_KEY]

Example Request

curl --request GET \
  --url "https://korastats.pro/pro/api.php?module=api&api=TournamentList&version=V2&response=json&lang=en&key=YOUR_API_KEY"
{
"result": true,
"title": "Success",
"message": "1 tournaments retrieved",
"object": [{
        "_type": "TOURNAMENT",
        "id": 444,
        "tournament": "FIFA World Cup",
        "season": "World Cup Qatar 2022",
        "startDate": "2022-11-20",
        "endDate": "2022-12-18",
        "organizer": {
            "_type": "ORGANIZER",
            "id": 1,
            "name": "International Federation of Football Association",
            "abbrev": "FIFA",
            "country": null,
            "continent": null
        },
        "ageGroup": {
            "_type": "AGE GROUP",
            "id": 19,
            "name": "Adult",
            "age": {
                "min": null,
                "max": null
            }
        }
    }]
}